FactoriesLoaderSupport (Grails 6.0.0)

Package: org.grails.io.support

## [Groovy] Class FactoriesLoaderSupport

- org.grails.io.support.FactoriesLoaderSupport

-     @groovy.transform.CompileStatic
      class FactoriesLoaderSupport
      extends java.lang.Object

  Base functionality for loading grails.factories

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `FACTORIES_RESOURCE_LOCATION` | The location to look for the factories.
    `private static java.util.concurrent.ConcurrentMap<java.lang.Integer, java.util.Map<java.lang.String, java.lang.String>>` | `loadedPropertiesForClassLoader` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `FACTORIES_RESOURCE_LOCATION` The location to look for the factories.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FactoriesLoaderSupport ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.String[]` | `loadFactoryNames(java.lang.Class<?> factoryClass, java.lang.ClassLoader classLoader)` Loads the names of the classes from grails.factories without loading the classes themselves
    `` | `static java.lang.String[]` | `loadFactoryNames(java.lang.String factoryClassName, java.lang.ClassLoader classLoader)` Loads the names of the classes from grails.factories without loading the classes themselves

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String FACTORIES_RESOURCE_LOCATION

      The location to look for the factories. Can be present in multiple JAR files.

    - #### private static java.util.concurrent.ConcurrentMap<java.lang.Integer, java.util.Map<java.lang.String, java.lang.String>> loadedPropertiesForClassLoader

  - ### Property Detail

    - #### static final java.lang.String FACTORIES_RESOURCE_LOCATION

      The location to look for the factories. Can be present in multiple JAR files.

  - ### Constructor Detail

    - #### FactoriesLoaderSupport()

  - ### Method Detail

    - #### static java.lang.String[] loadFactoryNames(java.lang.Class<?> factoryClass, java.lang.ClassLoader classLoader)

      Loads the names of the classes from grails.factories without loading the classes themselves

      Parameters:
        `factoryClass` - The factory class
        `classLoader` - The ClassLoader
      Returns:
        An array of classes that implement the factory class

    - #### static java.lang.String[] loadFactoryNames(java.lang.String factoryClassName, java.lang.ClassLoader classLoader)

      Loads the names of the classes from grails.factories without loading the classes themselves

      Parameters:
        `factoryClass` - The factory class
        `classLoader` - The ClassLoader
      Returns:
        An array of classes that implement the factory class